## ikiwiki 2.53

=== debian/changelog ===
ikiwiki (2.53) unstable; urgency=low

  * search: generate configuration files once only when rebuilding
    (Gabriel McManus)
  * attachment: Fix an uninitialised value warning when editing a page
    that currently has no attachments.
  * Fix a bug with links to pages whose names contained colons.
  * attachment: Support old versions of CGI.pm that lack an upload method.
  * Include ikiwiki.setup in examples in the debian package.
  * attachment: Support perl 5.8's buggy version of CGI.pm.
  * otl: Support utf-8 files. (Recai Oktaş)

 -- Joey Hess <joeyh@debian.org>  Wed, 09 Jul 2008 16:45:33 -0400

ikiwiki (2.52) unstable; urgency=low

  * attachment: New plugin for uploading and managing attachments.
    This includes a fairly powerful PageSpec based admin pref for deciding
    whether to accept a given upload, and an attachment management interface
    on the edit page.
    (Sponsored by The TOVA Company.)
  * If attachments are not enabled, configure CGI.pm to disable file
    uploads by default. (An anti-DOS measure.)
  * toggle: Add support for toggles that are open by default.
  * toggle: Fix to work in preview mode.
  * toggle: Add javascript to top of page, not to end. This avoids flicker
    since closed toggles will not be displayed as the page is loading.
  * The editpage form now uses the raw page name, not the page title, in its
    'page' cgi parameter. Using the title was ambiguous and made it
    impossible to tell between some pages, like "foo/bar" and "foo__47__bar",
    sometimes causing the wrong page to be edited.
  * This change means that some edit links need to be updated.
    Force a rebuild on upgrade to this version.
  * Above change also allowed really fixing escaped slashes from the blogpost
    form.

 -- Joey Hess <joeyh@debian.org>  Sun, 06 Jul 2008 19:15:37 -0400

ikiwiki (2.51) unstable; urgency=low

  * Improve toplevel parentlink to link directly to index.html when usedirs is
    disabled.
  * map: Add a "show" parameter. "show=title" can be used to display page
    titles, rather than the default page name. Based on a patch from 
    Jaldhar H. Vyas, Closes: #484510
  * hnb: New plugin, contributed by Axel Beckert.
  * meta: Store "description" in pagestate for use by other plugins.
  * map: Support show=description.
  * textile: The Text::Textile perl module has some regexps that fail if
    input is flagged as utf-8, but contains invalid characters such as 0x92.
    To prevent it from crashing, re-encode the content before calling it,
    which will ensure that it's really utf-8.
  * Version the suggests of xapian-omega to a version known to be new enough
    to work with ikiwiki. Reportedly, version 0.9.9 is too old to work.
    Closes: #486592
  * creole: New plugin from Bernd Zeimetz. Closes: #486930
  * aggregate: Add template parameter.
  * Add support for the universal edit button <http://universaleditbutton.org/>
    (To get this on all pages of an exiting wiki, rebuild the wiki.)
  * txt: New plugin, contributed by Gabriel McManus.
  * smiley: Generate links relative to the destpage. (Fixes a reversion from
    2.41.)
  * toc: Revert change in 2.45 that made it run at sanitize time. That broke
    use of toc in a sidebar.
  * Call format hooks when generating page previews, thus fixing toc display
    there, as well as fixing inlins to again display in page previews, since
    it's started using format hooks. This also allows several other things,
    like embed, that use format hooks, to work during page preview time.
  * Format hooks should not rely on getting an entire html document, as they
    will only get the body during page preview.
  * toggle: Deal with preview mode when adding javascript.

 -- Joey Hess <joeyh@debian.org>  Sun, 29 Jun 2008 14:09:37 -0400

ikiwiki (2.50) unstable; urgency=low

  * img: Support captions.
  * img: Don't generate empty title attributes, etc.
  * img: Allow setting defaults for class and id too.
  * ikiwiki-mass-rebuild: Make group list comparison more robust.
  * search: Work around xapian bug #486138 by only stemming locales
    in a whitelist.

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Jun 2008 15:17:30 -0400

ikiwiki (2.49) unstable; urgency=low

  * haiku: Generate valid xhtml.
  * ikiwiki-mass-rebuild: Don't trust $! when setting $)
  * inline: The optimisation in 2.41 broke nested inlines. Detect those
    and avoid overoptimising.
  * search: Converted to use xapian-omega.
  * Filter hooks are no longer called during the scan phase. This will
    prevent wikilinks added by filters from being scanned properly. But
    no known filter hook does that, so let's not waste time on it.
  * Pass a destpage parameter to the sanitize hook.
  * The search interface now allows searching for a page by title
    ("title:foo"), as well as for pages that contain a given link
    ("link:bar").

 -- Joey Hess <joeyh@debian.org>  Sat, 07 Jun 2008 15:22:41 -0400

ikiwiki (2.48) unstable; urgency=high

  * Fix security hole that occurred if openid and passwordauth were both
    enabled. passwordauth would allow logging in as a known openid, with an
    empty password. Closes: #483770 (CVE-2008-0169)
  * Add rel=nofollow to edit links. This may prevent some spiders from
    pounding on the cgi following edit links.
  * passwordauth: If Authen::Passphrase is installed, use it to store
    password hashes, crypted with Eksblowfish.
  * `ikiwiki-transiition hashpassword /path/to/srcdir` can be used to
    hash existing plaintext passwords.
  * Passwords will no longer be mailed, but instead a password reset link.
  * The password_cost config setting is provided as a "more security" knob.
  * teximg: Fix logurl.
  * teximg: If the log isn't written, avoid ugly error messages.
  * Updated French translation. Closes: #478530

 -- Joey Hess <joeyh@debian.org>  Fri, 30 May 2008 17:36:07 -0400

ikiwiki (2.47) unstable; urgency=low

  * mdwn: Add a multimarkdown setup file option.

