=== debian/changelog ===
ikiwiki (2.53.3~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch-backports.

 -- Alexander Wirt <formorer@debian.org>  Thu, 13 Nov 2008 14:35:03 +0000

ikiwiki (2.53.3) testing-proposed-updates; urgency=low

  * Avoid crash on malformed utf-8 discovered by intrigeri.
  * orphans: Fix unquoted page name in regexp.

 -- Joey Hess <joeyh@debian.org>  Thu, 09 Oct 2008 19:12:18 -0400

ikiwiki (2.53.2) testing-proposed-updates; urgency=low

  * Fix bad patch backport that broke generation of rss/atom feeds. Closes: #498224

 -- Joey Hess <joeyh@debian.org>  Mon, 08 Sep 2008 11:40:27 -0400

ikiwiki (2.53.1) testing-proposed-updates; urgency=low

  * Backported all relevant bug fixes from mainline to debian testing.
  * ikiwiki-transition: Fix command-line processing so the prefix_directives
    transition works again.
  * Fixes creation of pages when clicking on WikiLinks starting with "/".
  * Change deb dependencies to list Text::Markdown before markdown, since
    the former, while slower, has a much better html parser that avoids
    numerous bugs.
  * smileys: Some fixes for escaped smileys.
  * smileys: Note that smileys need to be double-escaped for the escaping to
    work. Markdown removes one level of escaping.
  * Add a postscan hook.
  * search: Use postscan hook, avoid updating index when previewing.
  * search: Fixes for title stemming, and use better term for tags.
    (Gabriel McManus)
    (Rebuilding the wiki on upgrade to this version is recommended if you
    use the search plugin.)
  * meta: fix title() PageSpec (DOS). Closes: #497444
  * Really fix bug with links to pages with names containing colons. 
    Previous fix mised a few cases.
  * toggle: Fix incompatability between javascript and webkit.
  * toggle: Fix for when html got tidied. Closes: #492529 (Enrico Zini)
  * inline: Ignore parent dirs when sorting pages by title.
  * external: Fix support for hooks called in an array context.
  * edittemplate: Don't wipe out edits on preview.
  * map: The fix for #449285 was buggy and broke display of parents in certian
    circumstances.
  * Work around perl $_ scoping nonsense that caused breakage when loading
    external plugins.

 -- Joey Hess <joeyh@debian.org>  Fri, 05 Sep 2008 20:55:53 -0400
