## ikiwiki 3.09ubuntu1

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # List here all source files with translatable strings.
 POTFILES=$(sort $(shell find ../IkiWiki -type f -name \*.pm)) \
-	../ikiwiki.in ../IkiWiki.pm
+	../ikiwiki.in ../IkiWiki.pm ../auto.setup
 
 POFILES=$(wildcard *.po)
 MOFILES=$(POFILES:.po=.mo)
@@ -19,7 +19,7 @@
 ikiwiki.pot: $(POTFILES)
 	@if perl -e '($$ver)=`xgettext -V | head -n 1`=~/.*\s+([0-9]+\.[0-9]+)/; die "gettext $$ver too old, not updating the pot file\n" if $$ver < 0.16'; then \
 		echo "Rebuilding the pot file"; \
-		xgettext $(POTFILES) -o ikiwiki.pot -Lperl --add-comments=translators; \
+		xgettext --from-code=UTF-8 $(POTFILES) -o ikiwiki.pot -Lperl --add-comments=translators; \
 	fi
 
 clean:
@@ -28,7 +28,7 @@
 %.mo: %.po
 	msgfmt -o $@ $<
 
-%.po:
+%.po: ikiwiki.pot
 	@echo -n "Merging ikiwiki.pot and $@"
 	@msgmerge $@ ikiwiki.pot -o $@.new 2>&1
 # Typically all that changes was a date or line number. I'd prefer not to
