## ikiwiki 3.09ubuntu1.1

=== debian/changelog ===
ikiwiki (3.09ubuntu1.1) jaunty-proposed; urgency=low

  * Revert to older debian/rules to accomodate older debhelper (LP: #368566).
  * Remove dependency on ${misc:Depends} to accomodate older debhelper.

 -- David Edmondson <dme@dme.org>  Thu, 30 Apr 2009 09:41:29 +0100

ikiwiki (3.09ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, Ubuntu remaining changes:
    - Drop wdg-html-validator from Build-Depends field. The xmlns set in the
      generated <html> elements causes /usr/bin/validate to attempt to download
      a file from w3.org. This doesn't work without Internet access.
    - Set Build-Depends on debhelper to the latest one available for
      Ubuntu.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 06 Apr 2009 00:03:02 +0200

ikiwiki (3.09) unstable; urgency=low

  * inline: Add title_natural sort order, using Sort::Naturally
    (chrysn)
  * inline: Fix urls to feed when feedfile is used on an index page.
  * git, mercurial: Fix --getctime to return file creation time,
    not last commit time.
  * Updated French translation (Jean-Luc Coulon). Closes: #521072
  * css: Add clear: both to inlinefooter.
  * comments: Fix too loose test for comments pages that matched
    normal pages with "comment_" in their name. Closes: #521322
  * comments: Fix anchor ids to be legal xhtml. Closes: #521339
  * Fix documentation of anonok_pagespec. Closes: #521793
  * Add missing suggests on libtext-textile-perl. Closes: #522039
  * recentchanges: change to using do=goto links for user links.
  * Fix git test suite to use a bare repo.

 -- Joey Hess <joeyh@debian.org>  Sat, 04 Apr 2009 14:33:49 -0400

ikiwiki (3.08ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Remove wdg-html-validator from Build-Depends. The xmlns set in the
      generated <html> elements causes /usr/bin/validate to attempt to download
      a file from w3.org. This doesn't work without Internet access.
    - Downgrade build-dependency on debhelper to the latest one available for
      Ubuntu.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 18 Mar 2009 00:21:27 +0100

ikiwiki (3.08) unstable; urgency=low

  * git: Fix utf-8 encoding of author names.
  * git: Manually decode git output from utf-8, avoids
    warning messages on invalidly encoded output.
  * Fix bug that caused weird things to appear as page types.

 -- Joey Hess <joeyh@debian.org>  Sun, 15 Mar 2009 17:54:47 -0400

ikiwiki (3.07ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, Ubuntu remaining changes:
    - Drop Build-Depends on wdg-html-validator. The xmlns set in the generated
      <html> elements causes /usr/bin/validate to attempt to download a file
      from w3.org. This doesn't work without Internet access.
    - Downgrade build-dependency on debhelper to the latest one available for
      Ubuntu.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 11 Mar 2009 19:00:16 +0100

ikiwiki (3.07) unstable; urgency=low
 
  * Updated German translation (Kai Wasserbäch). Closes: #518377
  * Updated French translation (Jean-Luc Coulon). Closes: #518510
  * wmd: New plugin contributed by William Uther to support the WMD
    Wysiwym markdown editor.
  * smiley: Avoid infinite loop in smiley expansion triggered
    by the template scan mode change in version 3.05. Closes: #518805
  * template: When loading a template in scan mode, let preprocess
    know it only needs to scan.

 -- Joey Hess <joeyh@debian.org>  Sun, 08 Mar 2009 19:00:46 -0400

ikiwiki (3.06ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, Ubuntu remaining changes:
    - Drop Build-Depends on wdg-html-validator. The xmlns set in the generated
      <html> elements causes /usr/bin/validate to attempt to download a file
      from w3.org. This doesn't work without Internet access.
  * Downgrade build-dependency on debhelper to Ubuntu latest one, it works
    fine anyway.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 03 Mar 2009 19:01:30 +0100

ikiwiki (3.06) unstable; urgency=low

  * Setup automator: Fix bug in password comparison. Closes: #517654

 -- Joey Hess <joeyh@debian.org>  Sun, 01 Mar 2009 15:02:30 -0500

ikiwiki (3.05) unstable; urgency=low

  * debhelper v7(.0.50); rules file minimisation.
  * template: Load templates in scan mode.
    This is potentially expensive, but is necessary so that meta and tag
    directives, and other links on templates affect the page using the
    template reliably.
  * goto: Fix redirect to comments.
  * Add noextension parameter to htmlize hooks to support, eg, Makefile.
  * Add tagged() PageSpec.
  * Updated German translation (Kai Wasserbäch). Closes: #516770
  * Setup automator: Prompt for password twice. Closes: #516973
  * bzr: Add missing rcs_diff. (liw)
  * comments: Avoid showing comment moderation button in prefs to non-admins.
  * goto: Fix typo that broke recentchanges_link compatibility.

 -- Joey Hess <joeyh@debian.org>  Fri, 27 Feb 2009 15:48:39 -0500

ikiwiki (3.04ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, Ubuntu remaining changes:
    - Drop Build-Depends on wdg-html-validator. The xmlns set in the generated
      <html> elements causes /usr/bin/validate to attempt to download a file
      from w3.org. This doesn't work without Internet access.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 16 Feb 2009 08:25:01 +0100

ikiwiki (3.04) unstable; urgency=low

  * 404: New plugin which lets you use the IkiWiki CGI script as
    an Apache 404 handler, to give the behaviour of various other wiki
    engines where visiting a nonexistent page provides you with a link
    to create it. (smcv)
  * Factor out redundant code into goto plugin. (smcv)
  * Work around XML::Atom strangeness that results in double-encoded posts.
    (smcv) 
  * Fix unusual --setup --post-commit command line option combo.
  * Create any missing directory necessary to put the wrapper
    file into. Closes: #514384
  * shortcut: If default_pageext is set, first look for

