=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 binary-indep: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	$(MAKE) pure_install DESTDIR=$(shell pwd)/debian/ikiwiki
 	dh_install wikilist etc/ikiwiki
 	dh_installdocs html
@@ -37,7 +37,7 @@
 	dh_md5sums
 	dh_builddeb
 
-# Not intended for use by anyone except the author.
+# Not intended for use by anyone except the author.                                                                                     
 announcedir:
 	@echo ${HOME}/src/ikiwiki/doc/news
