## ikiwiki 3.14ubuntu1

=== debian/changelog ===
ikiwiki (3.14ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining Ubuntu changes:
    - Drop wdg-html-validator from Build-Depends field. The xmlns set in the
      generated <html> elements causes /usr/bin/validate to attempt to download
      a file from w3.org. This doesn't work without Internet access.

 -- Andrea Gasparini <gaspa@yattaweb.it>  Fri, 05 Jun 2009 14:48:37 +0200

ikiwiki (3.14) unstable; urgency=low

  * highlight: New plugin supporting syntax highlighting of pretty much
    anything.
  * debian/control: Add suggests for libhighlight-perl, although
    that package is not yet created by Debian's highlight source package.
    (See #529869)
  * format: Provide a htmlizefallback hook that other plugins
    can use to handle formats that are not suitable for general-purpose
    htmlize hooks. Used by highlight.
  * Fix test suite to not rely on an installed copy of ikiwiki after
    underlaydir change. Closes: #530502
  * Danish translation update. Closes: #530877

 -- Joey Hess <joeyh@debian.org>  Mon, 01 Jun 2009 13:05:34 -0400

ikiwiki (3.13) unstable; urgency=low

  * ikiwiki-transition: If passed a nonexistant srcdir, or one not
    containing .ikiwiki, abort with an error rather than creating it.
  * Allow underlaydir to be overridden without messing up inclusion
    of other underlays via add_underlay.
  * More friendly display of markdown, textile in edit form selector
    (jmtd)
  * Allow curly braces to be used in pagespecs, and avoid a whole class
    of potential security problems, by avoiding performing any string
    interpolation on user-supplied data when translating pagespecs.
  * ikiwiki-transition: Allow setup files to be passed to all subcommands
    that need a srcdir.
  * ikiwiki-transition: deduplinks was broken and threw away all
    metadata stored by plugins in the index. Fix this bug.
  * listdirectives: Avoid listing _comment directives and generally
    assume any directive starting with _ is likewise internal.

 -- Joey Hess <joeyh@debian.org>  Fri, 22 May 2009 14:10:56 -0400

ikiwiki (3.12ubuntu1) karmic; urgency=low

  * Merge from debian unstable:
    - Drop wdg-html-validator from Build-Depends field. The xmlns set in the
      generated <html> elements causes /usr/bin/validate to attempt to download
      a file from w3.org. This doesn't work without Internet access.

 -- Leo Iannacone <l3on@ubuntu.com>  Sat, 09 May 2009 22:12:09 +0200

ikiwiki (3.12) unstable; urgency=low

  * Re-enable python-support and add python:Depends to control file.
  * ikiwiki-makerepo: Avoid using abs_path, as it apparently
    fails on nonexistant directories with some broken perl
    versions.
  * inline: Minor optimisation.
  * add_link: New function, which plugins should use rather than
    modifying %links directly, to avoid it accumulating duplicates.
  * ikiwiki-transition: Add a deduplinks action, that can be used
    to remove duplicate links and optimise a wiki w/o rebuilding it.
  * external: Fix pagespec_match and pagespec_match_list.
    Closes: #527281

 -- Joey Hess <joeyh@debian.org>  Wed, 06 May 2009 00:31:16 -0400

ikiwiki (3.11) unstable; urgency=low

  * Avoid using python-support. Closes: #525086
  * websetup: Display stderr in browser if ikiwiki setup fails.
  * blogspam: Load RPC::XML library in checkconfig, so that an
    error can be printed at that point if it's not available,
    allowing the admin to see it during wiki setup.
    Closes: #520015
  * websetup: If setup fails, restore old setup file.
  * relativedate: Deal with clock skew.
  * Add IkiWiki::ErrorReason objects, and modify pagespecs to return
    them in cases where they fail to match due to a configuration or syntax
    error.
  * pagespec_match_list: New API function, matches pages in a list
    and throws an error if the pagespec is bad.
  * inline, brokenlinks, calendar, linkmap, map, orphans, pagecount,
    pagestate, postsparkline: Display a handy error message if the pagespec
    is erronious.
  * comments: Add link to comment post form to allow user to sign in
    if they wish to, if the configuration makes signin optional
    for commenting.
  * Updated Danish translation from Jonas Smedegaard. Closes: #525751
  * translation.mdwn: Typo fixes. Closes: #525753

 -- Joey Hess <joeyh@debian.org>  Mon, 04 May 2009 15:45:10 -0400

ikiwiki (3.10ubuntu1) karmic; urgency=low

  * Merge from debian unstable, Ubuntu remaining changes (fixes LP: #368566):
    - Drop wdg-html-validator from Build-Depends field. The xmlns set in the
      generated <html> elements causes /usr/bin/validate to attempt to download
      a file from w3.org. This doesn't work without Internet access.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 28 Apr 2009 15:11:32 +0200

ikiwiki (3.10) unstable; urgency=low

  * darcs: Finally added support for this VCS, thanks to many
    contributors:
    - Thomas Schwinge wrote the original file, implementing only rcs_commit.
    - Benjamin A'Lee contributed an alternative implementation.
    - Tuomo Valkonen contributed rcs_getctime and stub rcs_recentchanges.
    - Simon Michael contributed multiple changes.
    - Petr Ročkai fixed rcs_recentchanges.
    - Sven M. Hallberg merged the above and added missing features.
  * Add missing newline to Confirm Password prompt.
  * Add missing permalink support to archivepage and titlepage templates.
  * debian/control: Wrap fields.
  * inline: Add author info to archive display.
  * Add a microblog template that is useful for inlining microblogging posts.

 -- Joey Hess <joeyh@debian.org>  Sat, 18 Apr 2009 19:40:25 -0400
