=== debian/control ===
Source: ikiwiki
Section: web
Priority: optional
Build-Depends: perl, debhelper (>= 7.0.50)
Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl,
  libtext-markdown-perl | markdown, 
  libtimedate-perl, libhtml-template-perl,
  libhtml-scrubber-perl,
  libhtml-parser-perl, liburi-perl, perlmagick
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
Uploaders: Josh Triplett <josh@freedesktop.org>
Standards-Version: 3.8.1
Homepage: http://ikiwiki.info/
Vcs-Git: git://git.ikiwiki.info/
Vcs-Browser: http://git.ikiwiki.info/?p=ikiwiki

Package: ikiwiki
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, ${python:Depends}, 
  libtext-markdown-perl | markdown,
  libhtml-scrubber-perl, libhtml-template-perl,
  libhtml-parser-perl, liburi-perl
Recommends: gcc | c-compiler, 
  libc6-dev | libc-dev,
  subversion | git-core (>= 1:1.5.0) | tla | bzr (>= 0.91) | mercurial | monotone (>= 0.38),
  libxml-simple-perl, libnet-openid-consumer-perl,
  liblwpx-paranoidagent-perl, libtimedate-perl,
  libcgi-formbuilder-perl (>= 3.05), libcgi-session-perl (>= 4.14-1),
  libmail-sendmail-perl, libauthen-passphrase-perl, libterm-readline-gnu-perl
Suggests: viewvc | gitweb | viewcvs, libsearch-xapian-perl,
  xapian-omega (>= 1.0.5), librpc-xml-perl, libtext-wikiformat-perl,
  python, python-docutils, polygen, tidy, libhtml-tree-perl,
  libxml-feed-perl, libmailtools-perl, perlmagick,
  libfile-mimeinfo-perl, libcrypt-ssleay-perl,
  liblocale-gettext-perl (>= 1.05-1), libtext-typography-perl,
  libtext-csv-perl, libdigest-sha1-perl, graphviz, libnet-amazon-s3-perl,
  sparkline-php, texlive, dvipng, libtext-wikicreole-perl,
  libsort-naturally-perl, libtext-textile-perl, libhighlight-perl
Conflicts: ikiwiki-plugin-table
Replaces: ikiwiki-plugin-table
Provides: ikiwiki-plugin-table
Description: a wiki compiler
 ikiwiki converts a directory full of wiki pages into HTML pages suitable
 for publishing on a website. Unlike many wikis, ikiwiki does not have its
 own ad-hoc means of storing page history, and instead uses a revision control
 system such as Subversion or Git.
 .
 ikiwiki implements all of the other standard features of a wiki, including
 web-based page editing, user registration and logins, a RecentChanges
 page, BackLinks, search, Discussion pages, tags, smart merging and conflict
 resolution, and page locking.
 .
 ikiwiki also supports generating news feeds (RSS and Atom) and blogging.
 ikiwiki provides a plugin system which allows many other features to be
 added. Some of the plugins have additional dependencies, found among the
 Recommends and Suggests of this package.
