## ikiwiki 3.14159265

=== debian/changelog ===
ikiwiki (3.14159265) unstable; urgency=low

  * Add complete French basewiki and underlays translation from the Debian
    French l10n team, including Philippe Batailler, Alexandre Dupas, and
    Steve Petruzzello.
  * Expand banned_users; it can now include PageSpecs, which
    allows banning by IP address.
  * underlay: Also allow configuring additional directories to search 
    for template files in.
  * Fix parsing web commits from ipv6 addresses.
  * Add genwrapper hook, that can be used to add code into the C wrapper.
  * cvs: Yeah, ikiwiki even supports CVS now. Plugin contributed by
    Amitai Schlair.
  * Updated Czech translation from Miroslav Kure. Closes: #546223
  * rsync: New plugin that allows pushing the destdir to a remote host
    via rsync or similar. Thanks, Amitai Schlair.
  * auto.setup, auto-blog.setup: Fix sanitization of entered wikiname.
    Closes: #547378

 -- Joey Hess <joeyh@debian.org>  Thu, 24 Sep 2009 18:50:43 -0400

ikiwiki (3.1415926) unstable; urgency=high

  [ Joey Hess ]
  * po: Detect if nowrapi18n can't be passed to po4a, and warn about
    the old version, but continue. Closes: #541205 
  * inline: Avoid use of my $_ as it fails with older perls.
    Closes: #541215
  * Add discussionpage configuration setting.
  * Several optimisations, including speedups to orphans and brokenlinks
    calculation.
  * meta, img: Fix bugs in dependency code. (smcv)
  * Allow building ikiwiki on systems w/o po4a --
    building of the translated underlays will be skipped in this case.
  * Add basic styling of po plugin's languages list.
  * inline: Display an error if feedpages is specified and fails to match
    due to a problem such as created_before being told to check against
    a page that does not exist.
  * Remove deprecated ikiwiki/blog and ikiwiki/preprocessordirective
    pages from the basewiki.
  * Updated French program translation from Philippe Batailler.
    Closes: #542036
  * po: Fixed to run rcs_add ralative to srcdir.
  * Italian program translation from Luca Bruno.
  * Fix example blog's tags/life to not have a broken PageSpec.
    Closes: #543510
  * Optimize the dependencies list. This also fixes a bug
    that could cause repeated refreshes of the wiki to grow
    increasingly larger dependency lists, and get increasingly
    slower. (smcv)
  * Rebuild wikis on upgrade to this version to fix bloat caused
    by the dependency bug.
  * Further optimisation of dependency handling by adding a special
    case for simple page dependencies. (smcv)
  * htmltidy: Return an error message if tidy fails. Closes: #543722
  * po: Fix name of translated toplevel index page. (intrigeri)
  * po: Fix display of links from a translated page to itself (ntrigeri)
  * Add Czech basewiki translation from Miroslav Kure.
  * po: fix interdiction to create pages of type po (intrigeri)
  * po: po: favor the type of linking page's masterpage on page creation
    (intrigeri)
  * img: Don't generate new verison of image if it is scaled to be
    larger in either dimension.

  [ Josh Triplett ]
  * teximg: Replace the insufficient blacklist with the built-in security
    mechanisms of TeX. (CVE-2009-2944)

 -- Joey Hess <joeyh@debian.org>  Sun, 30 Aug 2009 15:20:46 -0400

ikiwiki (3.141592) unstable; urgency=low

  * Add new hooks: canremove, canrename, rename. (intrigeri)
  * rename: Refactor subpage rename handling code into rename hook. (intrigeri)
  * po: New plugin<F11>, suporting translation of wiki pages using po files.
    (intrigeri)
  * Add build machinery to build po files to translate the underlay wikis,
  * Add further build machinery to generate translated underlays from
    the po file, for use by wikis whose primary language is not English.
  * Add Danish basewiki translation by Jonas Smedegaard.
  * img: Fix adding of dependency from page to the image.
  * pagestats: add `among` parameter, which only counts links from specified
    pages (smcv)
  * pagestats: when making a tag cloud, don't emit links where the tag is
    unused (smcv)
  * map: Avoid emitting an unclosed ul element if the map is empty. (harishcm)
  * inline: Add pagenames parameter that can be used to list a set of
    pages to inline, in a specific order, without using a PageSpec. (smcv)
  * Add getsource plugin (Will, smcv)

 -- Joey Hess <joeyh@debian.org>  Tue, 11 Aug 2009 14:59:31 -0400

ikiwiki (3.14159) unstable; urgency=low

  * svn: Fix rcs_rename to properly scope call to dirname.
  * img: Pass the align parameter through to the generated img tag.
  * Move OpenID pretty-printing from openid plugin to core (smcv)

 -- Joey Hess <joeyh@debian.org>  Thu, 16 Jul 2009 14:37:22 -0400

ikiwiki (3.1415) unstable; urgency=low

  * img: Fix extra double quote with alt text. (smcv)
  * Updated French debconf templates translation. Closes: #535103
  * openid: Support Net::OpenID 2.x when pretty-printing
    openids. (smcv)
  * highlight: Fix utf-8 encoding bug. Closes: #535028

 -- Joey Hess <joeyh@debian.org>  Tue, 07 Jul 2009 16:25:05 -0400

ikiwiki (3.141) unstable; urgency=low

  * comment: Make comment directives no longer use the internal "_comment"
    form, and document the comment directive syntax.
  * Avoid relying on translators preserving the case when translating
    "discussion", which caused Discussion pages to get unwanted Discussion
    links.
  * Tighten up matching of bare words inside directives; do not
    allow an unterminated """ string to be treated as a series
    of bare words. Fixes runaway regexp recursion/backtracking
    in strange situations.
  * Setup automator: Check that each plugin added to the generated
    setup file can be loaded and that its config is ok. If a plugin
    fails for any reason, disable it in the generated file.
    Closes: 532001
  * pagecount: Fix broken optimisation for * pagespec.
  * goto: Support being passed a page title that is not a valid page
    name, to support several cases including mercurial's long user

