=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl,
   libtext-markdown-perl | markdown, 
   libtimedate-perl, libhtml-template-perl,
-  libhtml-scrubber-perl,
-  libhtml-parser-perl, liburi-perl, perlmagick
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
+  libhtml-scrubber-perl, wdg-html-validator,
+  libhtml-parser-perl, liburi-perl, perlmagick, po4a (>= 0.34),
+  libfile-chdir-perl
+Maintainer: Joey Hess <joeyh@debian.org>
 Uploaders: Josh Triplett <josh@freedesktop.org>
-Standards-Version: 3.8.1
+Standards-Version: 3.8.3
 Homepage: http://ikiwiki.info/
 Vcs-Git: git://git.ikiwiki.info/
 Vcs-Browser: http://git.ikiwiki.info/?p=ikiwiki
@@ -36,7 +36,8 @@
   liblocale-gettext-perl (>= 1.05-1), libtext-typography-perl,
   libtext-csv-perl, libdigest-sha1-perl, graphviz, libnet-amazon-s3-perl,
   sparkline-php, texlive, dvipng, libtext-wikicreole-perl,
-  libsort-naturally-perl, libtext-textile-perl, libhighlight-perl
+  libsort-naturally-perl, libtext-textile-perl, libhighlight-perl,
+  po4a (>= 0.35-1), gettext
 Conflicts: ikiwiki-plugin-table
 Replaces: ikiwiki-plugin-table
 Provides: ikiwiki-plugin-table
